Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_QoS_Decorator Class Reference

Concrete QoS Decorator. More...

`#include <QoS_Decorator.h>`

Inheritance diagram for ACE_QoS_Decorator:

[legend]
Collaboration diagram for ACE_QoS_Decorator:

[legend]
List of all members.

## Public Methods
| ACE_QoS_Decorator (void)
| Constructor. More...
| ACE_QoS_Decorator (ACE_Event_Handler *event_handler, ACE_QoS_Session *qos_session, ACE_Reactor *reactor=ACE_Reactor::instance())
| Constructor. More...
| ~ACE_QoS_Decorator (void)
| Destructor. More...
virtual ACE_HANDLE | get_handle (void) const
| Calls the base class get_handle (). More...
virtual int | handle_input (ACE_HANDLE fd)
| Calls the base class handle_input (). More...
virtual int | handle_qos (ACE_HANDLE fd)
| Calls the base class handle_qos (). More...
int | init (void)
| This method registers the QoS Event Handler with the Reactor to receive RAPI events. More...
## Private Attributes
ACE_QoS_Decorator_Base * | decorator_base_
| Requests on the class are forwarded to this base class;. More...
ACE_QoS_Event_Handler * | qos_event_handler_
| Handles the QoS events and in that sense decorates the usual ACE_Event_Handler. More...
ACE_QoS_Session * | qos_session_
| Passed to the ACE_QoS_Event_Handler for retrieving the RAPI session specific information like rapi_fd. More...
ACE_Reactor * | reactor_
| If the application wants to use an instance of Reactor other than the Singleton one. More...

## Detailed Description

Concrete QoS Decorator.

Decorates the ACE_Event_Handler to additionally handle QoS events uniformly for different QoS mechanisms like RAPI and GQoS.

## Constructor & Destructor Documentation

ACE_QoS_Decorator::ACE_QoS_Decorator | ( | void |  | ) |

| Constructor.

ACE_QoS_Decorator::ACE_QoS_Decorator | ( | ACE_Event_Handler * | event_handler,
|  | ACE_QoS_Session * | qos_session,
|  | ACE_Reactor * | reactor = ACE_Reactor::instance ()
| ) |

| Constructor.

ACE_QoS_Decorator::~ACE_QoS_Decorator | ( | void |  | ) |

| Destructor.

## Member Function Documentation

ACE_HANDLE ACE_QoS_Decorator::get_handle | ( | void |  | ) | const`[virtual]`

| Calls the base class get_handle (). Reimplemented from ACE_QoS_Decorator_Base.

int ACE_QoS_Decorator::handle_input | ( | ACE_HANDLE | fd | ) | `[virtual]`

| Calls the base class handle_input (). Reimplemented from ACE_QoS_Decorator_Base.

int ACE_QoS_Decorator::handle_qos | ( | ACE_HANDLE | fd | ) | `[virtual]`

| Calls the base class handle_qos (). Reimplemented from ACE_QoS_Decorator_Base.

int ACE_QoS_Decorator::init | ( | void |  | ) |

| This method registers the QoS Event Handler with the Reactor to receive RAPI events.

## Member Data Documentation

ACE_QoS_Decorator_Base* ACE_QoS_Decorator::decorator_base_`[private]`

| Requests on the class are forwarded to this base class;.

ACE_QoS_Event_Handler* ACE_QoS_Decorator::qos_event_handler_`[private]`

| Handles the QoS events and in that sense decorates the usual ACE_Event_Handler.

ACE_QoS_Session* ACE_QoS_Decorator::qos_session_`[private]`

| Passed to the ACE_QoS_Event_Handler for retrieving the RAPI session specific information like rapi_fd.

ACE_Reactor* ACE_QoS_Decorator::reactor_`[private]`

| If the application wants to use an instance of Reactor other than the Singleton one. Reimplemented from ACE_Event_Handler.

The documentation for this class was generated from the following files:

- QoS_Decorator.h
- QoS_Decorator.cpp